Method: customers.v2.Groups.patch

Updates a Group using SCIM patch semantics.

  • A maximum of 2 operations is supported per Group patch request.
  • A maximum of 1 member addition or removal is supported per Group patch request.
  • Supported operations and attributes:
    • add: Supported for displayName, description, members, and externalId.
    • remove: Supported for description and members (requires a value filter using the eq operator on the value sub-attribute, for example, "path": "members[value eq \"<member_id>\"]").
    • replace: Supported for displayName and description.

HTTP request

PATCH https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Groups/{groupId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
customerId

string

Required. The customer ID.

groupId

string

Required. The group ID.

Request body

The request body contains an instance of PatchBody.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-identity.groups
  • https://www.googleapis.com/auth/cloud-identity
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authorization guide.